Public Class CN_Debug
   Inherits CN_generico

   ' Riferimento alla MainWindow
   Private m_MainWindow As MainWindow = DirectCast(Application.Current.MainWindow, MainWindow)

   Sub New()
   End Sub

   Public Overrides Function Init() As Boolean

      ' Assegno valori ad assi per test
      d_axis_position(0) = -1500
      d_axis_position(1) = -1300
      d_axis_position(2) = -70
      d_axis_position(3) = 67.315             ' asse C Siemens
      d_axis_position(4) = 90.0               ' asse B Siemens
      d_axis_position(5) = -1500
      d_axis_position(6) = -180
      d_axis_position(7) = 90.0               ' asse B Num
      d_axis_position(8) = 67.315             ' asse C Num
      d_axis_position(9) = 90.0

      ' Assegno icona modalità auto alla barra della macchina
      m_MainWindow.m_MachineStatusUC.MachineStatusImage.Source = New System.Windows.Media.Imaging.BitmapImage(New Uri("\Resources\MachineStatusImage\Auto.png", UriKind.Relative))

      Return True
   End Function

   Public Overrides Function Stop_Connection() As Boolean
      Return True
   End Function

   Public Overrides Function ActivateProgram(n_part_program As Integer) As Short
      Return 0
   End Function

   Public Overrides Function Delete_NC_prog(sz_NC_filename As String) As Short
      Return 0
   End Function

   Public Overrides Function DGeneralFunctions_CycleStart() As Short
      Return 0
   End Function

   Public Overrides Function DGeneralFunctions_FeedHold() As Short
      Return 0
   End Function

   Public Overrides Function DGeneralFunctions_Reset() As Short
      Return 0
   End Function

   Public Overrides Function DGeneralFunctions_WriteCncMode(nmode As Short) As Short
      Return 0
   End Function

   Public Overrides Function Download_NC_prog(sz_PC_filename As String, sz_NC_filename As String) As Short
      Return 0
   End Function

   Public Overrides Function DPOsition_ReadOnce() As Short
      Return 0
   End Function

   Public Overrides Function DTool_set_read_range(n_start As Short, n_stop As Short) As Short
      Return 0
   End Function

   Public Overrides Function DTool_write_tool(n_tool_number As Short, Length_X As Double, Radius As Double, TipRadius_Z As Double, DLength_X As Double, DTipRadius_Z As Double, nDirection As Short, nType As Short, nH As Integer) As Short
      Return 0
   End Function

   Public Overrides Sub DVariables_WriteVariables(sz_parameters As String, sz_values As String)

   End Sub

   Public Overrides Sub DVariables_WriteVariables2(sz_parameters As String, sz_values As String)

   End Sub

   Public Overrides Function MDI_command() As Short
      Return 0
   End Function

   Public Overrides Sub ReadEls_Add_Parameter(sz_var As String, n_par As Short)

   End Sub

   Public Overrides Sub set_OP_OM(n As Short)

   End Sub

   Public Overrides Function Upload_NC_prog(sz_PC_filename As String, sz_NC_filename As String) As Short
      Return 0
   End Function

   Public Overrides Function Write_var_1(sz_par As String, lvalue As Long) As Short
      Return 0
   End Function

   Public Overrides Function get_free_memory(n_zone As Int16) As Long
      Return 0
   End Function

   Public Overrides Function read_active_mode() As Int16
      Return 0
   End Function

   Public Overrides Function get_program_status() As Int16
      Return 0
   End Function

   Public Overrides Function get_plc_messages() As Int16
      Return 0
   End Function

   Public Overrides Function VerifyAxis(ByRef nAx As Integer) As Boolean
      Return True
   End Function

End Class
